# 66- Plus One
https://gitlab.com/olans-stuff/intrerview-prep/leetcode/top-interview-questions/easy/66-plus-one

- so u are given number example 123 as an array so [1,2,3] and have to increment by 1 so its [1,2,4]
- so if its 999 it must be increment to [1,0,0,0]


-----------------------
-----------------------

Got first part of logic out, coulndt get it for having to add in new digit so had lto look at solution 
- Need learn from it and explain
- So at the stat we are taking the last digit in the array and checking if its less than 9.
- If it is, just increment by 1
- If not, set that current position to 0 and check next and so in repeating
- If it all digitd are 9, it will  make new int array with one extra element sets frist element to 0